Create webhook
POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/webhooks
Create a new webhook subscription.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ”Request Body required
Section titled “Request Body required ” WebhookCreate
Create webhook request.
object
url
required
Url
Webhook endpoint URL
string
events
required
Events
Event types to subscribe to
Array<string>
is_active
Is Active
boolean
Examples
Create webhook for invoice events
{ "url": "https://erp.obs.ng/integrations/zutax/webhooks", "events": [ "invoice.submitted", "invoice.validated", "invoice.dispatched" ], "secret": "whsec_live_x7v9q1e5b8t2", "is_active": true}Create webhook focused on dispatch exceptions
{ "url": "https://ops.obs.ng/zutax/dispatch-hooks", "events": [ "dispatch.failed", "dispatch.retrying", "dispatch.retried" ], "is_active": true}Responses
Section titled “ Responses ”Successful Response
Examples
Created webhook response
{ "id": "f2f07352-1259-4a10-9fe3-2234f0ebdf8a", "url": "https://erp.obs.ng/integrations/zutax/webhooks", "events": [ "invoice.submitted", "invoice.validated", "invoice.dispatched" ], "is_active": true, "created_at": "2026-02-11T12:14:00Z"}Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}